Package org.drinkless.tdlib

# Class TdApi.PassportElementsWithErrors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PassportElementsWithErrors

Enclosing class:
  `TdApi`

public static class TdApi.PassportElementsWithErrors extends TdApi.Object
Contains information about a Telegram Passport elements and corresponding errors.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PassportElement[]`
  `elements`
  Telegram Passport elements.
  `TdApi.PassportElementError[]`
  `errors`
  Errors in the elements that are already available.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassportElementsWithErrors()`
  Contains information about a Telegram Passport elements and corresponding errors.
  `PassportElementsWithErrors(TdApi.PassportElement[] elements, TdApi.PassportElementError[] errors)`
  Contains information about a Telegram Passport elements and corresponding errors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### elements

    public TdApi.PassportElement[] elements
    Telegram Passport elements.

  - ### errors

    public TdApi.PassportElementError[] errors
    Errors in the elements that are already available.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PassportElementsWithErrors

    public PassportElementsWithErrors()
    Contains information about a Telegram Passport elements and corresponding errors.

  - ### PassportElementsWithErrors

    public PassportElementsWithErrors(TdApi.PassportElement[] elements, TdApi.PassportElementError[] errors)
    Contains information about a Telegram Passport elements and corresponding errors.
    Parameters:
      `elements` - Telegram Passport elements.
      `errors` - Errors in the elements that are already available.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR